Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1306169 - USB does not work on APM Mustang under 4.5.0-0.rc1.git0.2.fc24.aarch64
Summary: USB does not work on APM Mustang under 4.5.0-0.rc1.git0.2.fc24.aarch64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2016-02-10 08:44 UTC by Marcin Juszkiewicz
Modified: 2016-02-23 18:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-23 18:59:33 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
full dmesg output (deleted)
2016-02-10 08:44 UTC, Marcin Juszkiewicz
no flags Details

Description Marcin Juszkiewicz 2016-02-10 08:44:08 UTC
Created attachment 1122710 [details]
full dmesg output

Description of problem:

20:11 hrw@pinkiepie-rawhide:~$ lsusb
20:11 hrw@pinkiepie-rawhide:~$ 

No USB devices listed. Not even hubs. kernel oopsed:

[    3.006677] Internal error: Oops: 96000006 [#1] SMP
[    3.011530] Modules linked in: radeon(+) i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops ttm drm i2c_core phy_xgene ahci_xgene xhci_plat_hcd(+) xgene_enet(+) xgene_rng
[    3.028824] CPU: 6 PID: 197 Comm: systemd-udevd Tainted: G        W       4.5.0-0.rc1.git0.2.fc24.aarch64 #1
[    3.038599] Hardware name: AppliedMicro Mustang/Mustang, BIOS 1.1.0 Oct 20 2015
[    3.045869] task: fffffe00bc64a800 ti: fffffe00bc698000 task.ti: fffffe00bc698000
[    3.053316] PC is at xhci_plat_probe+0x224/0x560 [xhci_plat_hcd]
[    3.059291] LR is at xhci_plat_probe+0x214/0x560 [xhci_plat_hcd]
[    3.065264] pc : [<fffffdfffc080394>] lr : [<fffffdfffc080384>] pstate: 20000145
[    3.072620] sp : fffffe00bc69ba80
[    3.075914] x29: fffffe00bc69ba80 x28: 0000000000000000 
[    3.081216] x27: fffffffffffffffe x26: fffffdfffc081348 
[    3.086518] x25: 0000000000000000 x24: fffffe03fffd6398 
[    3.091819] x23: 0000000000000024 x22: fffffe03dca26800 
[    3.097122] x21: fffffe03d7000000 x20: fffffe03d7000000 
[    3.102423] x19: fffffe03dca26810 x18: ffffffffffffffff 
[    3.107726] x17: fffffe0000ae3828 x16: fffffe0000ae3820 
[    3.113027] x15: fffffe03d698ca09 x14: 78302074726f7020 
[    3.118328] x13: 5d66666630303861 x12: 0000000000000028 
[    3.123631] x11: 0101010101010101 x10: 7f7f7f7f7f7f7f7f 
[    3.128933] x9 : 0efefeff01fefeff x8 : 7f7f7f7f7f7f7f7f 
[    3.134234] x7 : fefeff6c716e6573 
[    3.248841] x6 : 0000000000808080 
[    3.248843] x5 : 8080800000000000 
[    3.248843] x4 : 0000000000000000 
[    3.248844] x3 : fffffdfffc080e28 
[    3.248845] x2 : fffffdfffc080e48 
[    3.248846] x1 : fffffe03d7001800 
[    3.248846] x0 : 0000000000000001 
[    3.248849] Process systemd-udevd (pid: 197, stack limit = 0xfffffe00bc698020)
[    3.248850] Stack: (0xfffffe00bc69ba80 to 0xfffffe00bc69c000)
[    3.248853] ba80: fffffe00bc69bae0 fffffe0000542db4 00000000fffffffe fffffe03dca26810
[    3.248855] baa0: fffffdfffc081298 fffffe0000fbf000 fffffdfffc0812c0 0000000000000008
[    3.248856] bac0: fffffe00bc69be40 fffffe00bc69be40 fffffdfffc081900 fffffdfffc0a0060
[    3.248858] bae0: fffffe00bc69bb10 fffffe0000540aa4 fffffe03dca26810 fffffe0001107000
[    3.248859] bb00: 0000000000000000 fffffe0000ae3828 fffffe00bc69bb50 fffffe0000540d3c
[    3.248861] bb20: fffffe03dca26810 fffffdfffc0812c0 fffffe03dca26870 0000000000000000
[    3.248862] bb40: fffffe0000fbf000 fffffe0000f6e000 fffffe00bc69bb80 fffffe000053e250
[    3.248864] bb60: 0000000000000000 fffffdfffc0812c0 fffffe0000540c90 0000000000000000
[    3.248865] bb80: fffffe00bc69bbc0 fffffe00005400d0 fffffdfffc0812c0 fffffe03dc8eb100
[    3.248867] bba0: fffffe0000f6e9f8 0000000000000000 fffffe03fa84b6a8 fffffe03dc9c4868
[    3.248868] bbc0: fffffe00bc69bbe0 fffffe000053fb20 fffffdfffc0812c0 fffffe03dc8eb100
[    3.248870] bbe0: fffffe00bc69bc20 fffffe0000541700 fffffdfffc0812c0 fffffdfffc081500
[    3.248871] bc00: fffffe03dc885980 fffffdfffc0a0000 0000000000000000 0000000000000000
[    3.248873] bc20: fffffe00bc69bc40 fffffe0000542cdc fffffdfffc081298 fffffdfffc081500
[    3.248874] bc40: fffffe00bc69bc60 fffffdfffc0a0020 fffffe0000eb9620 fffffe0000eb9620
[    3.248876] bc60: fffffe00bc69bc70 fffffe0000082148 fffffe00bc69bcf0 fffffe00001afb64
[    3.248877] bc80: fffffdfffc081500 fffffe0000ed8000 fffffe00bc69be70 fffffe03dc885880
[    3.248879] bca0: fffffe0000ed8000 fffffe00001afb34 fffffdfffc081500 fffffe0000ed8000
[    3.248880] bcc0: fffffe00bc69be70 fffffe0000ed8c38 fffffe0000ed8000 0000000000000000
[    3.248881] bce0: fffffe00bc69be40 fffffdfffc081500 fffffe00bc69bd20 fffffe000013eb5c
[    3.248883] bd00: fffffdfffc081518 fffffdfffc081500 fffffe00bc69be70 fffffe0000ed8c38
[    3.248884] bd20: fffffe00bc69be40 fffffe000013f060 0000000000000000 0000000000000006
[    3.248886] bd40: 000003ffaf1a0cc8 000003ffaf062484 0000000060000000 0000000000000015
[    3.248888] bd60: 000000000000011e 0000000000000111 fffffe0000842000 fffffe00bc698000
[    3.248889] bd80: fffffe00bc69bde0 fffffe0000fbb2f0 fffffdff00000072 fffffe0000000064
[    3.248891] bda0: fffffe000084d1b8 000000000000003f 000003ff0000feff 0000fff10000006e
[    3.248892] bdc0: 0000000060000000 0000000000000015 fffffe0000ec83d8 00000000000028cc
[    3.248893] bde0: 000081e400000001 0000000000000001 0000000000000000 0000000000000000
[    3.248895] be00: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.248896] be20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.248898] be40: 0000000000000000 fffffe000008528c 0000000000000200 0000000000000000
[    3.248899] be60: ffffffffffffffff fffffe00bc69bed0 fffffc00013e0000 00000000000044e8
[    3.248901] be80: fffffc00013e3d28 fffffc00013e3c08 fffffc00013e2bd8 0000000000001900
[    3.248902] bea0: 0000000000001ca8 0000000000000000 0000000000000000 0000001e0000001d
[    3.248903] bec0: 0000000000000018 000000000000000d 0000000000000006 000003ffaf1a0cc8
[    3.248905] bee0: 0000000000000000 0000000000000006 0000000000000000 60ceffffffffffff
[    3.248906] bf00: ffffffffffffffff ffffffffffffffff 0000000000000111 0000000000000050
[    3.248908] bf20: 4f5e424aff524446 0000000000000001 0000000000000000 ffffffffffff0000
[    3.248909] bf40: 6368782f74736f68 0000000000000020 000003ffaf1bff88 000003ffaf062460
[    3.248911] bf60: 000003ffe8617c38 000002aae6097fb0 0000000000000000 000003ffaf1a0cc8
[    3.248912] bf80: 000002aae6098500 0000000000020000 0000000000000000 0000000000000000
[    3.248914] bfa0: 000002aae609cb00 000003ffe8618a98 000003ffe8618650 000003ffe86184b0
[    3.248915] bfc0: 000003ffaf1994bc 000003ffe86184b0 000003ffaf062484 0000000060000000
[    3.248917] bfe0: 0000000000000006 0000000000000111 0000000000000000 0000000000000000
[    3.248918] Call trace:
[    3.248920] Exception stack(0xfffffe00bc69b8c0 to 0xfffffe00bc69b9e0)
[    3.248922] b8c0: fffffe03dca26810 fffffe03d7000000 fffffe00bc69ba80 fffffdfffc080394
[    3.248923] b8e0: 7f7f7f7f7f7f7f7f fffffffffffffffd 0101010101010101 0000000000000004
[    3.248925] b900: 0000000000000030 5d66666630303861 78302074726f7020 fffffe03d698ca09
[    3.248926] b920: fffffe0000ae3820 fffffe0000ae3828 ffffffffffffffff fffffe03dca26810
[    3.248927] b940: fffffe03dca51600 fffffe0000f87760 fffffe03dca26800 0000000000000000
[    3.248929] b960: 0000000000000001 fffffe03d7001800 fffffdfffc080e48 fffffdfffc080e28
[    3.248930] b980: 0000000000000000 8080800000000000 0000000000808080 fefeff6c716e6573
[    3.248932] b9a0: 7f7f7f7f7f7f7f7f 0efefeff01fefeff 7f7f7f7f7f7f7f7f 0101010101010101
[    3.248933] b9c0: 0000000000000028 5d66666630303861 78302074726f7020 fffffe03d698ca09
[    3.248938] [<fffffdfffc080394>] xhci_plat_probe+0x224/0x560 [xhci_plat_hcd]
[    3.248944] [<fffffe0000542db4>] platform_drv_probe+0x5c/0xc0
[    3.248947] [<fffffe0000540aa4>] driver_probe_device+0x224/0x410
[    3.248950] [<fffffe0000540d3c>] __driver_attach+0xac/0xb0
[    3.248952] [<fffffe000053e250>] bus_for_each_dev+0x70/0xb0
[    3.248954] [<fffffe00005400d0>] driver_attach+0x30/0x40
[    3.248956] [<fffffe000053fb20>] bus_add_driver+0x218/0x2a0
[    3.248960] [<fffffe0000541700>] driver_register+0x68/0x100
[    3.248961] [<fffffe0000542cdc>] __platform_driver_register+0x54/0x60
[    3.248965] [<fffffdfffc0a0020>] xhci_plat_init+0x20/0x48 [xhci_plat_hcd]
[    3.248970] [<fffffe0000082148>] do_one_initcall+0xd8/0x1d8
[    3.248974] [<fffffe00001afb64>] do_init_module+0x68/0x1cc
[    3.248976] [<fffffe000013eb5c>] load_module+0x102c/0x1290
[    3.248978] [<fffffe000013f060>] SyS_finit_module+0xc8/0xf8
[    3.248980] [<fffffe000008528c>] __sys_trace_return+0x0/0x4
[    3.248983] Code: aa1403e1 34000880 91400421 91200021 (a9400f82) 
[    3.249000] ---[ end trace 0d1dac1ab46a9dda ]---


Version-Release number of selected component (if applicable):

4.5.0-0.rc1.git0.2.fc24.aarch64

How reproducible:

always

Steps to Reproduce:
1. install kernel 4.5.0-0.rc1.git0.2.fc24.aarch64 on APM mustang
2. reboot
3.

Actual results:

no usb devices

Expected results:

usb devices being present

Additional info:

Comment 1 Marcin Juszkiewicz 2016-02-23 18:59:33 UTC
Works with 4.5-rc5


[    0.931252] usbcore: registered new device driver usb
[    3.053438] usbcore: registered new interface driver usbserial
[    3.059254] usbcore: registered new interface driver usbserial_generic
[    3.065760] usbserial: USB Serial support registered for generic
[    3.108104] usbcore: registered new interface driver usbhid
[    3.113651] usbhid: USB HID core driver
[    4.608007] xhci-hcd 19000000.dwusb: xHCI Host Controller
[    4.608116] xhci-hcd 19000000.dwusb: new USB bus registered, assigned bus number 1
[    4.608245] xhci-hcd 19000000.dwusb: hcc params 0x0220f06d hci version 0x100 quirks 0x00010010
[    4.608267] xhci-hcd 19000000.dwusb: irq 36, io mem 0x19000000
[    4.608337] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    4.608340] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    4.608341] usb usb1: Product: xHCI Host Controller
[    4.608343] usb usb1: Manufacturer: Linux 4.5.0-0.rc5.git0.1.fc24.aarch64 xhci-hcd
[    4.608344] usb usb1: SerialNumber: 19000000.dwusb
[    4.608775] xhci-hcd 19000000.dwusb: xHCI Host Controller
[    4.608858] xhci-hcd 19000000.dwusb: new USB bus registered, assigned bus number 2
[    4.608885] usb usb2: We don't know the algorithms for LPM for this host, disabling LPM.
[    4.608921] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003
[    4.608923] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    4.608924] usb usb2: Product: xHCI Host Controller
[    4.608926] usb usb2: Manufacturer: Linux 4.5.0-0.rc5.git0.1.fc24.aarch64 xhci-hcd
[    4.608927] usb usb2: SerialNumber: 19000000.dwusb
[    4.609365] xhci-hcd 19800000.dwusb: xHCI Host Controller
[    4.609484] xhci-hcd 19800000.dwusb: new USB bus registered, assigned bus number 3
[    4.609635] xhci-hcd 19800000.dwusb: hcc params 0x0220f06d hci version 0x100 quirks 0x00010010
[    4.609655] xhci-hcd 19800000.dwusb: irq 37, io mem 0x19800000
[    4.609723] usb usb3: New USB device found, idVendor=1d6b, idProduct=0002
[    4.609726] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    4.609728] usb usb3: Product: xHCI Host Controller
[    4.609729] usb usb3: Manufacturer: Linux 4.5.0-0.rc5.git0.1.fc24.aarch64 xhci-hcd
[    4.609731] usb usb3: SerialNumber: 19800000.dwusb
[    4.610171] xhci-hcd 19800000.dwusb: xHCI Host Controller
[    4.610278] xhci-hcd 19800000.dwusb: new USB bus registered, assigned bus number 4
[    4.610326] usb usb4: We don't know the algorithms for LPM for this host, disabling LPM.
[    4.610366] usb usb4: New USB device found, idVendor=1d6b, idProduct=0003
[    4.610368] usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    4.610370] usb usb4: Product: xHCI Host Controller
[    4.610372] usb usb4: Manufacturer: Linux 4.5.0-0.rc5.git0.1.fc24.aarch64 xhci-hcd
[    4.610373] usb usb4: SerialNumber: 19800000.dwusb
[    4.913399] usb 1-1: new high-speed USB device number 2 using xhci-hcd
[    5.034514] usb 1-1: New USB device found, idVendor=0409, idProduct=005a
[    5.034516] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    5.337400] usb 1-1.1: new high-speed USB device number 3 using xhci-hcd
[    5.427772] usb 1-1.1: New USB device found, idVendor=1234, idProduct=2088
[    5.434650] usb 1-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    5.441943] usb 1-1.1: Product: V88             
[    5.575746] usb 1-1.1: Manufacturer: V88     
[    5.575748] usb 1-1.1: SerialNumber: 27061901C41DF107
[    5.579368] usb-storage 1-1.1:1.0: USB Mass Storage device detected
[    5.579748] scsi host4: usb-storage 1-1.1:1.0
[    5.579888] usbcore: registered new interface driver usb-storage
[    5.580248] usbcore: registered new interface driver uas
[    5.648406] usb 1-1.4: new high-speed USB device number 4 using xhci-hcd
[    5.738515] usb 1-1.4: New USB device found, idVendor=0409, idProduct=005a
[    5.745372] usb 1-1.4: New USB device strings: Mfr=0, Product=0, SerialNumber=0

19:57 hrw@pinkiepie-rawhide:fedora-packager$ lsusb
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 004: ID 0409:005a NEC Corp. HighSpeed Hub
Bus 001 Device 003: ID 1234:2088 Brain Actuated Technologies 
Bus 001 Device 002: ID 0409:005a NEC Corp. HighSpeed Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

19:57 hrw@pinkiepie-rawhide:fedora-packager$ uname -r
4.5.0-0.rc5.git0.1.fc24.aarch64


Note You need to log in before you can comment on or make changes to this bug.